| Version: 3.1.5

Macros
cpp.h File Reference

## Macros
#define | wxCONCAT(x1, x2)
| This macro returns the concatenation of the arguments passed. More...
#define | wxCONCAT3(x1, x2, x3)
#define | wxCONCAT4(x1, x2, x3, x4)
#define | wxCONCAT5(x1, x2, x3, x4, x5)
#define | wxSTRINGIZE(x)
| Returns the string representation of the given symbol which can be either a literal or a macro (hence the advantage of using this macro instead of the standard preprocessor `#` operator which doesn't work with macros). More...
#define | wxSTRINGIZE_T(x)
| Returns the string representation of the given symbol as either an ASCII or Unicode string, depending on the current build. More...
#define | __WXFUNCTION__
| This macro expands to the name of the current function if the compiler supports any of `FUNCTION`, `func` or equivalent variables or macros or to NULL if none of them is available. More...

## Macro Definition Documentation

## ◆ __WXFUNCTION__

#define __WXFUNCTION__

This macro expands to the name of the current function if the compiler supports any of `FUNCTION`, `func` or equivalent variables or macros or to NULL if none of them is available.

Include file:

    #include <wx/cpp.h>

## ◆ wxCONCAT

#define wxCONCAT | ( |  | x1,
|  |  | x2
| ) |  |

This macro returns the concatenation of the arguments passed.

Unlike when using the preprocessor operator, the arguments undergo macro expansion before being concatenated.

Include file:

    #include <wx/cpp.h>

## ◆ wxCONCAT3

#define wxCONCAT3 | ( |  | x1,
|  |  | x2,
|  |  | x3
| ) |  |

## ◆ wxCONCAT4

#define wxCONCAT4 | ( |  | x1,
|  |  | x2,
|  |  | x3,
|  |  | x4
| ) |  |

## ◆ wxCONCAT5

#define wxCONCAT5 | ( |  | x1,
|  |  | x2,
|  |  | x3,
|  |  | x4,
|  |  | x5
| ) |  |

## ◆ wxSTRINGIZE

#define wxSTRINGIZE | ( |  | x | ) |

Returns the string representation of the given symbol which can be either a literal or a macro (hence the advantage of using this macro instead of the standard preprocessor `#` operator which doesn't work with macros).

Notice that this macro always produces a `char` string, use wxSTRINGIZE_T() to build a wide string Unicode build.

See also
  wxCONCAT()

Include file:

    #include <wx/cpp.h>

## ◆ wxSTRINGIZE_T

#define wxSTRINGIZE_T | ( |  | x | ) |

Returns the string representation of the given symbol as either an ASCII or Unicode string, depending on the current build.

This is the Unicode-friendly equivalent of wxSTRINGIZE().

Include file:

    #include <wx/cpp.h>